linux/*.ver problem during compilation of hostap 0.2.1 on RH 9

Pavel Roskin proski at gnu.org
Fri May 14 00:41:56 EDT 2004


On Thu, 13 May 2004, M Singh wrote:

> Hi
>     I am using a custom kernel on RH 9.
>
>     I am getting the following error in compilation of the hostap driver
> (for later use with Freeradius and xsupplicant) :
>
>     [root at sggs hostap-driver-0.2.1]# make install_pci
[snip]
>     This link is a year old, and I find it hard to believe that this
> would not have been fixed in the main line branch of the development. I
> am using the latest stable version - 0.2.1.

It was fixed in README.  Where did you get "install_pci" from?  It's
totally undocumented in version 0.2.1!  If you read old documentation and
use it to compile new driver, you shouldn't expect things to work right.
You can just as well run "make install_pci_please" and you'll get an error
too :-)

It's becoming a FAQ.  I answered a similar question yesterday:
http://airsnarf.shmoo.com/pipermail/hostap/2004-May/006613.html

Q: HostAP doesn't compile.  What should I do?
A: Read the README file (no, not the one what come with a year old
version).

-- 
Regards,
Pavel Roskin



More information about the HostAP mailing list